Zabbix Documentation 3.4

3.04.04.4 (current)| In development:5.0 (devel)| Unsupported:1.82.02.22.43.23.44.2Guidelines

User Tools

Site Tools


Sidebar

ru:manual:appendix:compatibility

13 Совместимость версий

Поддерживаемые агенты

Zabbix агенты предыдущих версий Zabbix совместимы с Zabbix 3.4. Однако, возможно вам потребуется пересмотреть конфигурацию старых агентов, так как некоторые параметры могли измениться, например, параметры связанные с журналированием по сравнению с версиями до 3.0.

Чтобы воспользоваться всеми преимуществами новых и улучшенных элементов данных, улучшенной производительности и уменьшенным использованием памяти, используйте последнюю версию агента 3.4.

Поддерживаемые Zabbix прокси

Как Zabbix 3.4 прокси, так и Zabbix 3.4 сервер поддерживают работу только с Zabbix 3.4 сервером и Zabbix 3.4 прокси соответственно.

Известно, что имеется возможность запустить обновленный сервер с ещё не обновленными прокси, которые будут отправлять данные на новый сервер (хотя прокси и не смогут обновлять свою конфигурацию). Однако, такой подход не рекомендуется и не поддерживается Zabbix, его выбор исключительно на ваш страх и риск. Для получения более подробных сведений, смотрите процедуру обновления.
Zabbix 3.4.10 сервер может работать только с Zabbix 3.4.10 прокси. Совместимость с прокси с другими 3.4.x версиями потеряна. Эта проблема исправлена начиная с Zabbix сервера 3.4.11.

Поддержка XML файлов

XML файлы, экспортированные в версиях 1.8, 2.0, 2.2, 2.4, 3.0 и 3.2 поддерживаются при импорте в версию Zabbix 3.4.

В XML формате Zabbix 1.8 при экспорте, зависимости триггеров сортируются только по названию. Если имеется несколько триггеров с одинаковым именем (например, имеющие разные важности и выражения), которые имеют заданную зависимость между собой, то их невозможно импортировать. Такие зависимости должны быть удалены вручную из файла XML и добавлены после импорта.